Subject: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Andrea Corallo <[email-masked]>
Date: Fri, 09 Sep 2022 12:57:38 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Yeah I think we should probably check directly in 'maybe_swap_for_eln'
>> and if the cookie is present just return (if that works).
>
> It would require reading the .el file in the main Emacs before forking
> off the sub-Emacs, I guess?  So it'd be slightly slower in general...
>
> But I guess there's no way around that.

Hi Lars,

I'm not sure, shouldn't the cookie already be present in the
bytecode?

  Andrea